<?

/*****************************************************************************
 *                                                                           *
 * Shop-Script FREE                                                          *
 * Copyright (c) 2004 Articus consulting group. All rights reserved.         *
 *                                                                           *
 ****************************************************************************/

	//installation routine

	session_start();

	if (isset($_POST["install"]))
	{
		if (!is_writable("./cfg/connect.inc.php"))
		{
			$error = "Couldn't rewrite file cfg/connect.inc.php.";
		}
		else
		{
			$f = fopen("./cfg/connect.inc.php","w");
			$s = "<?
	//database connection settings

	define('DBMS', '".$_POST["dbms"]."'); // database system

	define('DB_HOST', '".$_POST["db_host"]."'); // database host
	define('DB_USER', '".$_POST["db_user"]."'); // username
	define('DB_PASS', '".$_POST["db_pass"]."'); // password
	define('DB_NAME', '".$_POST["db_name"]."'); // database name
	define('ADMIN_LOGIN', '".base64_encode($_POST["admin_login"])."'); //administrator's login
	define('ADMIN_PASS', '".md5($_POST["admin_pass"])."'); //administrator's login

	//database tables
	include(\"./cfg/tables.inc.php\");

?>";
?><?

			fputs($f,$s);
			fclose($f);

		}

		//try to connect to the database using new settings and register administrator
		include("./cfg/connect.inc.php");

		//choose database file to include
		include("./includes/database/".DBMS.".php");

		$sel = NULL;
		$conn = db_connect(DB_HOST,DB_USER,DB_PASS);
		if ($conn)
		{
			if (!(db_select_db(DB_NAME))) //database connect failed
			{
				$error =  "<p>Couldn't select database ".DB_NAME;
			}

		}
		else
			$error = "<p>Couldn't connect do the database";


		if (!isset($error)) //successful!
		{
			//create tables
			include("./includes/database/install/".DBMS.".php");

			$_SESSION["log"] = $_POST["admin_login"];
			$_SESSION["pass"] = $_POST["admin_pass"];

			if (isset($_POST["fill_db"])) //fill DB with demo content
			{
				//fill products and categories tables
				$helper = "[#%int!g%#]"; //helper
				if (file_exists("demo_database.sql"))
				{
					$f = implode("",file("demo_database.sql"));
					$f = explode("INSERT INTO",$f);

					for ($i=1; $i<count($f); $i++)
					{
						db_set_identity(PRODUCTS_TABLE);
						db_set_identity(CATEGORIES_TABLE);
						db_set_identity(SPECIAL_OFFERS_TABLE);

						if (strstr($f[$i],PRODUCTS_TABLE))
							db_set_identity(PRODUCTS_TABLE,"ON");
						else
						if (strstr($f[$i],CATEGORIES_TABLE))
							db_set_identity(CATEGORIES_TABLE,"ON");
						else
						if (strstr($f[$i],SPECIAL_OFFERS_TABLE))
							db_set_identity(SPECIAL_OFFERS_TABLE,"ON");

						db_query(trim("INSERT INTO ".str_replace($helper,"INSERT INTO",$f[$i]))) or die (db_error());
					}
				}

			}

		}
	}

	if (!is_writable("./cfg/connect.inc.php"))
	{
		$error = "File cfg/connect.inc.php is not writable";
	}

?>
<html>

<head>

<link rel=STYLESHEET href="style1.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Shop-Script FREE installation routine</title>

<script>

	function validate()
	{
		if (document.form1.db_name.value.length<1)
		{
			alert("Please input database name");
			return false;
		}
		if (document.form1.admin_login.value.length<1)
		{
			alert("Please input administrator`s login");
			return false;
		}
		if (document.form1.admin_pass.value.length<1)
		{
			alert("Please input administrator`s password");
			return false;
		}

		return true;
	}


</script>

</head>

<body>
<center>

<?
	if (isset($_POST["install"]) && !isset($error))
	{
		echo "<h1>Installation successful!</h1>";
		echo "<p><a href=\"index.php\">Proceed to my new shopping cart ...</a>";
		exit;
	}
?>

  <h1>Shop-Script FREE</h1>

<?
	if (isset($error)) echo "<p><font color=red><b>$error</b></font>";
?>

<form name=form1 action="install.php" method=post onSubmit="return validate(this);">
<p>
<u><b>Database managment system you are going to use</b></u><br>
<table><tr><td>
	<input type=radio name=dbms value="MYSQL" checked> MySQL<br>
	<input type=radio name=dbms value="MSSQL"> MS SQL Server<br>
	<input type=radio name=dbms value="IB"> Interbase
</td></tr></table>

<p>
<u><b>Database connection settings</b></u><br>
<table cellpadding=5>
	<tr>
	 <td align=right>Host:</td>
	 <td><input type=text name=db_host<? echo isset($_POST["db_host"]) ? " value=\"".$_POST["db_host"]."\"":" value=\"localhost\"";?>></td>
	</tr>

	<tr>
	 <td align=right>Username:</td>
	 <td><input type=text name=db_user<? echo isset($_POST["db_user"]) ? " value=\"".$_POST["db_user"]."\"":"";?>></td>
	</tr>

	<tr>
	 <td align=right>Password:</td>
	 <td><input type=text name=db_pass<? echo isset($_POST["db_pass"]) ? " value=\"".$_POST["db_pass"]."\"":"";?>></td>
	</tr>

	<tr>
	 <td align=right>Database name:</td>
	 <td><input type=text name=db_name<? echo isset($_POST["db_name"]) ? " value=\"".$_POST["db_name"]."\"":"";?>></td>
	</tr>



</table>

<p>
<u><b>Administrators login and password</b></u><br>
later you can change login and password
<table cellpadding=5>
	<tr>
	 <td align=right>Login:</td>
	 <td><input type=text name=admin_login value="<? echo isset($admin_login) ? $admin_login:"admin";?>"></td>
	</tr>
	<tr>
	 <td align=right>Password:</td>
	 <td><input type=text name=admin_pass value="<? echo isset($admin_pass) ? $admin_pass:"1234";?>"></td>
	</tr>
</table>


<p>
<input type=checkbox name=fill_db checked> Fill database with demo content (recommended)

<p>

<?
	if (is_writable("./cfg/connect.inc.php"))
	{
		echo "<input type=submit name=install value=\"Install\">";
	}
?>

</form>

</center>
</body>

</html>